Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class RootContainerClass

    java.lang.Object
      |
      +--com.compoze.collab.ItemClass
            |
            +--com.compoze.collab.ContainerClass
                  |
                  +--com.compoze.collab.RootContainerClass

All Implemented Interfaces:
  java.io.Serializable

public class RootContainerClass
extends ContainerClass
implements java.io.Serializable

Defines how to create a class of `RootContainer` instance.

See Also:
  Serialized Form

Fields inherited from class com.compoze.collab.ItemClass
`m_defaultKeys, m_javaClass, m_sContainingItemClass, m_sInternalName, m_sItemClassParent`

Method Summary
`static ContainerClass` | `create(com.compoze.collab.spi.Context context, java.lang.String sInternalName, Key[] defaultKeys, java.lang.Class javaClass, ItemClass defaultItemClass)`
`static RootContainerClass` | `createRootContainerClass(java.lang.String sInternalName, Key[] defaultKeys, java.lang.Class javaClass, ItemClass defaultItemClass, java.lang.String sItemClassParent)` Creates an RootContainerClass, given its name and properties, or returns an existing RootContainerClass if one has already been created with the same name and properties.
`Key[]` | `getMinimumKeys()` Gets the minimum set of keys for this class.

Methods inherited from class com.compoze.collab.ContainerClass
`create, create, getDefaultItemClass, toString`

Methods inherited from class com.compoze.collab.ItemClass
`checkForDuplicates, create, equals, getContainingItemClass, getDefaultKeys, getInternalName, getItemClassParent, getJavaClass, hashCode, isDefaultKey, isInstanceOf, lookupItemClass`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### createRootContainerClass

    public static RootContainerClass createRootContainerClass(java.lang.String sInternalName,
                                                              Key[] defaultKeys,
                                                              java.lang.Class javaClass,
                                                              ItemClass defaultItemClass,
                                                              java.lang.String sItemClassParent)
                                                       throws CollaborationException

  Creates an RootContainerClass, given its name and properties, or returns an existing RootContainerClass if one has already been created with the same name and properties.
  Parameters:
    `sInternalName` - unique internal name for this class (not `null`)
    `defaultKeys` - array of class specific default keys; `null` means none
    `javaClass` - Java class representing this class; must implement `IContainer` (not `null`)

### create

    public static ContainerClass create(com.compoze.collab.spi.Context context,
                                        java.lang.String sInternalName,
                                        Key[] defaultKeys,
                                        java.lang.Class javaClass,
                                        ItemClass defaultItemClass)
                                 throws CollaborationException

### getMinimumKeys

    public Key[] getMinimumKeys()

  Gets the minimum set of keys for this class.
  Overrides:
    `getMinimumKeys` in class `ContainerClass`
  Returns:
    an array containing the minimum keys

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.